Name:          rvesse-airline
Version:       2.1.0
Release:       1%{?dist}
Summary:       Java annotation-based framework for parsing Git like command line structures
License:       ASL 2.0
URL:           https://github.com/rvesse/airline
Source0:       https://github.com/rvesse/airline/archive/%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(org.apache.commons:commons-collections4)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
Airline is a Java library providing an annotation-based framework
for parsing command line interfaces.

It supports both simple single commands through to complex git style
interfaces with groups.

This is a substantially rewritten fork of the original airline library
created based on improvements predominantly plus some minor improvements
taken from the Clark & Parsia fork.

%package examples
Summary:       Airline - Examples

%description examples
Provides a variety of examples of using Airline.

%package help-bash
Summary:       Airline - Help - Bash

%description help-bash
Provides Bash related help generators.

%package help-html
Summary:       Airline - Help - HTML

%description help-html
HTML help generators for Airline.

%package help-man
Summary:       Airline - Help - Man Page (Troff)

%description help-man
Module providing help generators that produce Man pages
(in Troff format).

%package help-markdown
Summary:       Airline - Help - Markdown

%description help-markdown
Provides Markdown help generators for Airline.

%package help-parent
Summary:       Airline - Help - Parent POM

%description help-parent
Parent module for help modules that provide additional help generators.

%package help-ronn
Summary:       Airline - Help - RONN

%description help-ronn
RONN format help generators. RONN is an enhanced version of
Markdown that can be post-processed with the ronn tool to
generate man pages or HTML pages. RONN has some bugs
are is considered deprecated in favour of the airline-help-man
module.

%package io
Summary:       Airline - IO Library

%description io
Provides additional IO support for CLIs
such as colorization and text formatting.

%package parent
Summary:       Airline - Parent POM

%description parent
Airline - Parent POM.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n airline-%{version}

%pom_remove_plugin com.mycila:license-maven-plugin
%pom_remove_plugin :maven-shade-plugin airline-examples

# ParseRestrictionViolatedException: Option 'b' must be specified at least 2 times but was only found 0 times
rm airline-core/src/test/java/com/github/rvesse/airline/restrictions/TestOccurrences.java
# AssertionError
rm airline-help/airline-help-markdown/src/test/java/com/github/rvesse/airline/help/markdown/TestHelpMarkdown.java

%mvn_package :airline::tests airline
%mvn_package :airline-io::tests airline-io
%mvn_package :airline-help-man::tests airline-help-man
%mvn_package :airline-help-ronn::tests airline-help-ronn

%build

%mvn_build -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-airline

%files examples -f .mfiles-airline-examples
%doc airline-examples/ReadMe.md

%files help-bash -f .mfiles-airline-help-bash
%license license.txt NOTICE.md

%files help-html -f .mfiles-airline-help-html
%license license.txt NOTICE.md

%files help-man -f .mfiles-airline-help-man
%license license.txt NOTICE.md

%files help-markdown -f .mfiles-airline-help-markdown
%license license.txt NOTICE.md

%files help-parent -f .mfiles-airline-help
%license license.txt NOTICE.md

%files help-ronn -f .mfiles-airline-help-ronn

%files io -f .mfiles-airline-io
%doc CHANGELOG.md Migrating.md README.md
%license license.txt NOTICE.md

%files parent -f .mfiles-airline-parent
%license license.txt NOTICE.md

%files javadoc -f .mfiles-javadoc
%license license.txt NOTICE.md

%changelog
* Wed Dec 23 2015 gil cattaneo <puntogil@libero.it> 2.1.0-1
- initial rpm
